function [trainingset,validationset]=CMV_CV1_MSCA(trainingset,validationset,CV1_Designmatrix,CV2_Designmatrix,CV1loop,CV2loop)
    
    % CV1 variation splitting (MSCA)
    [restset.rows]=size(find(CV2_Designmatrix(:,CV2loop)==0),1);
    [trainingset.rows]=size(find(CV1_Designmatrix(1:restset.rows,CV1loop)==0),1);
    [validationset.rows]=size(validationset.x,1);
    
    % Build Designmatrix for variation splitting 
    MSCA_DesignMat=[eye(trainingset.rows,trainingset.rows);eye(trainingset.rows,trainingset.rows)];
            
    % Variation splitting
    [MSCA_Model]=msca(trainingset.x,MSCA_DesignMat);
            
    % Calculating and assigning datablocks Xw,Xb,Xo and Xr
    trainingset.Xw=MSCA_Model.within.data;
            
    validationset.Xo=ones(validationset.rows,1)*MSCA_Model.offset;
    validationset.Xr=validationset.x-validationset.Xo;
    validationset.Xb=((validationset.Xr(1:(validationset.rows/2),:)) + (validationset.Xr((validationset.rows/2)+1:validationset.rows,:)))/2;
    validationset.Xw=validationset.x-validationset.Xo-[validationset.Xb;validationset.Xb];
    
end