function [restset,variables]=CMV_CV1_ypredict(restset,y,lv,variables)
    
    % Initialization
    restset.CV1.ypred=variables.CV1.ypred.all(restset.samples,:,:);

    % Test y predictions of restset (1CV)
    for vs_loop=1:5

        % Q2 restset (1CV)
        restset.CV1.PRESS.single = sum((restset.CV1.ypred(:,:,vs_loop) - (restset.y * ones(1,lv))) .* (restset.CV1.ypred(:,:,vs_loop) - (restset.y * ones(1,lv))));
        variables.CV1.Q2.restset(vs_loop,:) = (1 - (restset.CV1.PRESS.single/(restset.y'*restset.y)));

        % Q2 full dataset (1CV)
        restset.CV1.PRESS.all = sum((variables.CV1.ypred.all(:,:,vs_loop) - (y * ones(1,lv))) .* (variables.CV1.ypred.all(:,:,vs_loop) - (y * ones(1,lv))));
        variables.CV1.Q2.all(vs_loop,:) = (1 - (restset.CV1.PRESS.all/(y'*y)));

        % NMC test restset (1CV)
        restset.CV1.NMC.table.test = restset.CV1.ypred(:,:,vs_loop) .* (restset.y * ones(1,lv));

        % NMC test full dataset (1CV)
        restset.CV1.NMC.table.all = variables.CV1.ypred.all(:,:,vs_loop) .* (y * ones(1,lv));

        % Variable selection in 1CV (5 iterations)
        for lv_loop=1:lv

            % NMC restset (1CV)
            variables.CV1.NMC.restset(vs_loop,lv_loop)=size(find(restset.CV1.NMC.table.test(:,lv_loop)<0),1) + (size(find(restset.CV1.NMC.table.test(:,lv_loop)==0),1))/2;

            % NMC full dataset (1CV)
            variables.CV1.NMC.all(vs_loop,lv_loop)=size(find(restset.CV1.NMC.table.all(:,lv_loop)<0),1) + (size(find(restset.CV1.NMC.table.all(:,lv_loop)==0),1))/2;

            % AUROC restset(1CV)
            [tp, fp] = roc(restset.y, restset.CV1.ypred(:,lv_loop,vs_loop));
            variables.CV1.AUROC.restset(vs_loop,lv_loop) = auroc(tp,fp);

            % AUROC full dataset(1CV)
            [tp, fp] = roc(y, variables.CV1.ypred.all(:,lv_loop,vs_loop));
            variables.CV1.AUROC.all(vs_loop,lv_loop) = auroc(tp,fp);

        end

    end

end