function [restset,testset]=CMV_CV2_MSCA(restset,testset,CV2_Designmatrix,loopnr)
    
    % CV2 variation splitting (MSCA)
    [restset.rows]=size(find(CV2_Designmatrix(:,loopnr)==0),1);
    [testset.rows]=size(find(CV2_Designmatrix(:,loopnr)==1),1);
    
    % Build Designmatrix for variation splitting 
    MSCA_DesignMat=[eye(restset.rows,restset.rows);eye(restset.rows,restset.rows)];
                
    % Variation splitting
    [MSCA_Model]=msca(restset.x,MSCA_DesignMat);
            
    % Calculating and assigning datablocks Xw,Xb,Xo and Xr
    restset.Xw=MSCA_Model.within.data;
            
    testset.Xo=ones((testset.rows*2),1)*MSCA_Model.offset;
    testset.Xr=testset.x-testset.Xo;
    testset.Xb=((testset.Xr(1:testset.rows,:)) + (testset.Xr((testset.rows+1):(testset.rows*2),:)))/2;
    testset.Xw=testset.x-testset.Xo-[testset.Xb;testset.Xb];
    
end