function [restset,testset,variables]=CMV_CV2_ypredict1(CV2loop,varblocks,varnr,restset,testset,variables)

    for CV2_xblock=1:5

        % Initialisation number of variables in x-block
        nr_of_var=varblocks(CV2_xblock,1);

        % Define most important variable numbers (by means of backward elimination)
        varnr=varnr(1,1:nr_of_var);

        % Construct new x-block's (by means of backward elimination)
        restset.xscaled=restset.xscaled(:,1:nr_of_var);
        testset.xscaled=testset.xscaled(:,1:nr_of_var);

        % Calculate PLS regression coefficients, b (2CV)
        [b] = pls(restset.xscaled,restset.y,variables.CV1.lv.min);
        b=b(variables.CV1.lv.min,:);

        % predict y of testset samples (2CV)
        variables.CV2.ypred.all(testset.samples,CV2_xblock) = testset.xscaled * b';

        % Generate absolute values for b and reverse b (2CV)
        CV2_b_abs = -1 * abs(b);

        % Assigning ranks to b (2CV)
        [DUMMY,rank2] = sort(CV2_b_abs,2);

        % Sort restset and testset (2CV)
        restset.xscaled=restset.xscaled(:,rank2);
        testset.xscaled=testset.xscaled(:,rank2);

        % Collect numbers of the variables (2CV)
        varnr=varnr(rank2);

        % Rearrange variable numbers to original ranking (2CV)
        variables.CV2.RP.testset(CV2_xblock,varnr)=[1:nr_of_var];

    end

    % Collect all testset predictions (2CV)
    variables.CV2.RP.all(CV2loop,:)=variables.CV2.RP.testset(variables.CV1.varsel.min,:);

end