function [x1sc,x2sc] = CMV_autoscaling(x1,x2)

    % Declaration of variables and constants
    [d1rows]=size(x1,1);
    [d3rows]=size(x2,1);

    % Calculation of std from X
    xstd=std(x1);

    % Calculation of mean from X
    xmean=mean(x1);

    % Calculation of autoscaled X data
    zeros_x1std=find((ones(d1rows,1)*xstd)==0);
    zeros_x2std=find((ones(d3rows,1)*xstd)==0);
    
    x1sc=(x1-(ones(1,d1rows)'*xmean))./(ones(1,d1rows)'*xstd);
    x2sc=(x2-(ones(1,d3rows)'*xmean))./(ones(1,d3rows)'*xstd);

    x1sc(zeros_x1std)=0;
    x2sc(zeros_x2std)=0;

end