function [variables]=CMV_results(y,variables)
    
    % ---------------------------------------------------------------------
    % CMV results
    % ---------------------------------------------------------------------

    % Summarize ypred (1CV)
    variables.CV1.ypred = variables.CV1.ypred.collect;
    
    % Summarize ypred (2CV)
    variables.CV2.ypred = variables.CV2.ypred.all(:,variables.CV1.varsel.min);
        
    % NMC(1CV & 2CV)
    CV1_NMC_column = variables.CV1.ypred .* y ;  variables.CV1.NMC=size(find(CV1_NMC_column<0),1) + (size(find(CV1_NMC_column==0),1))/2;
    CV2_NMC_column = variables.CV2.ypred .* y ;  variables.CV2.NMC=size(find(CV2_NMC_column<0),1) + (size(find(CV2_NMC_column==0),1))/2;
        
    % Q2 (1CV & 2CV)
    variables.CV1.PRESS = sum((variables.CV1.ypred - y) .* (variables.CV1.ypred - y)); variables.CV1.Q2 = 1 - (variables.CV1.PRESS/(y'*y));    
    variables.CV2.PRESS = sum((variables.CV2.ypred - y) .* (variables.CV2.ypred - y)); variables.CV2.Q2 = 1 - (variables.CV2.PRESS/(y'*y));
    
    % AUROC full dataset(1CV & 2CV)
    [tp, fp] = roc(y, variables.CV1.ypred); variables.CV1.AUROC = auroc(tp,fp);
    [tp, fp] = roc(y, variables.CV2.ypred); variables.CV2.AUROC = auroc(tp,fp);
    
end