
function [s,d,pr]=pca(x)

% p: Principal Components
% s: scores
% v: eigenvalues
% d: loadings 
% pr: % of explained variance by each PC

[m,n]=size(x);

if m<n                      	
   [s,v]=eig(x*x');
   v=abs(diag(v));
   [a,b]=sort(v);
   b=flipud(b);
   v=v(b);
   s=s(:,b);
   d=x'*(s*diag(sqrt(1./v)));
   pr=100*(v/sum(v));
else                        
   [s,v,d]=svd(x,0);
   v=diag(v);
   e=v.^2;
   pr=(e)*100/sum(e);
end