function [b] = pls(x,y,Fac)

    % Initialization variables
    [xrows,xcolumns] = size(x);
    p = zeros(xcolumns,Fac);
    w = zeros(xcolumns,Fac);   
    rc = zeros(1,Fac);
        
    % Calculation p,w and rc
    for i = 1:Fac
        
        %NIPALS
        nipw = (y'*x)';
        nipw = (nipw'/norm(nipw'))';
        nipt = x*nipw;
        nipp = (nipt'*x/(nipt'*nipt))';
        p_norm=norm(nipp);
        nipt = nipt*p_norm;
        nipw = nipw*p_norm;
        nipp = nipp/p_norm;
        
        rc(1,i)  = y'*nipt/(nipt'*nipt);
        x        = x - nipt*nipp';
        y        = y - rc(1,i)*nipt;
        p(:,i)   = nipp;
        w(:,i)   = nipw;  
    end
 
    % calculate regression vector
    b = cumsum((w*inv(p'*w)*diag(rc))',1);

end







